EndModal Example |
Using Programming Languages other than VBA
Public WithEvents ACADApp As AcadApplication ' Use with Application Event Examples
Sub Example_AcadApplication_Events() ' This example intializes the public variable (ACADApp) which will be used ' to intercept AcadApplication Events ' ' The VBA WithEvents statement makes it possible to intercept an generic object ' with the events associated with that object. ' ' Before you will be able to trigger any of the AcadApplication events, ' you will first need to run this procedure. ' We could get the application from the ThisDocument object, but that would ' require having a drawing open, so we grab it from the system. Set ACADApp = GetObject(, "AutoCAD.Application.16") End Sub
Private Sub ACADApp_EndModal() ' This example intercepts an Application EndModal event. We use a Beep instead of ' a message box to notify the user when the event is triggered, since a message box ' is a modal entity and would cause continuous BeginModal/EndModal events to be triggered. ' ' This event is triggered when AutoCAD finishes displaying a modal dialog. ' ' To trigger this example event: ' 1) Make sure to run the example that initializes ' the public variable (named ACADApp) linked to this event. ' ' 2) Use AutoCAD to begin a modal dialog operation and then dismiss the dialog. ' For example, use AutoCAD to display a modal file dialog by using File/New and then ' close the dialog by selecting Cancel Beep ' The modal dialog was just closed! End Sub
Comments? |